LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XSheetAnnotationsSupplier Interface Referencepublished

provides access to a collection of cell annotations. More...

`import"XSheetAnnotationsSupplier.idl";`

Inheritance diagram for XSheetAnnotationsSupplier:

## Public Member Functions
com::sun::star::sheet::XSheetAnnotations | getAnnotations ()
| returns the collection of cell annotations. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a collection of cell annotations.

## Member Function Documentation

## ◆ getAnnotations()

com::sun::star::sheet::XSheetAnnotations getAnnotations | ( |  | ) |

returns the collection of cell annotations.

See also
  com::sun::star::sheet::CellAnnotations

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetAnnotationsSupplier.idl